%global momorel 1
%global md5sum_src0 fedf8b31171d288954ff2e83b251de44

Summary: Synaptics touchpad driver library
Name: libsynaptics
Version: 0.14.6c
Release: %{momorel}m%{?dist}
License: GPL
URL: http://qsynaptics.sourceforge.net/
Group: System Environment/Libraries
%NoSource 0 http://qsynaptics.sourceforge.net/%{name}-%{version}.tar.bz2 %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: xorg-x11-proto-devel

%description
A small C++ library usable by the synaptics driver.
The version numbering will follow any driver releases, the appended letter
marks releases due to bug fixing.

%package devel
Summary: Header files and static libraries from libsynaptics
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Libraries and includes files for developing programs based on libsynaptics.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/lib*.la

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING ChangeLog INSTALL README TODO
%{_libdir}/libsynaptics.a
%{_libdir}/libsynaptics.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/synaptics
%{_libdir}/libsynaptics.so

%changelog
* Tue Mar 20 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.14.6c-1m)
- initial package for Momonga Linux
